Bug 221162 - java/bluej: Update to 4.1.0
Summary: java/bluej: Update to 4.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL: https://bluej.org/versions.html
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-08-01 23:40 UTC by Ben Woods
Modified: 2017-10-21 01:59 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (lme)


Attachments
java/bluej: Update to 4.1.0 (37.74 KB, patch)
2017-08-03 13:11 UTC, Ben Woods
woodsb02: maintainer-approval? (lme)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2017-08-01 23:40:11 UTC
The version of bluej in ports is 3 years out of date, and should be updated if possible. The latest version currently available is 4.1.0.
https://bluej.org/versions.html

We should also investigate why portscout isn't detecting the new versions and promoting the port maintainer about new releases.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-02 04:37:30 UTC
At first glance, given presentMASTER_SITES [1], the first doesn't allow directory listings (indexes) and the second doesn't resolve (appears NXDOMAIN) and should be removed.

[1] MASTER_SITES=   http://www.bluej.org/download/files/ \
                    ftp://ftp.bluej.org/pub/bluej/
Comment 2 Ben Woods freebsd_committer 2017-08-03 13:11:51 UTC
Created attachment 184990 [details]
java/bluej: Update to 4.1.0

java/bluej: Update to 4.1.0

- Remove fallback MASTER_SITE (no longer available)
- Add LICENSE details
- Add dependency on openjfx to fix runtime error
- Set NO_ARCH=yes
- Add desktop entry
- Move install location to ${JAVASHAREDIR}/${PORTNAME} as per porter's handbook
Comment 3 Ben Woods freebsd_committer 2017-08-03 13:15:15 UTC
This patch also changes the maintainer to myself.
lme: Please let me know if you would rather continue as maintainer.

I have completed build and runtime testing with this on 12-current amd64.
Comment 4 Lars Engels freebsd_committer 2017-08-30 19:18:07 UTC
Hi Ben,

sorry for the late answer. I tried to answer via mail some weeks ago but that didn't work.

If you like you can have the port. I don't use bluej any more.

Thanks for taking care of it!
Comment 5 Ben Woods freebsd_committer 2017-10-21 01:58:28 UTC
Committed - thanks!
Comment 6 commit-hook freebsd_committer 2017-10-21 01:59:01 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Oct 21 01:58:27 UTC 2017
New revision: 452567
URL: https://svnweb.freebsd.org/changeset/ports/452567

Log:
  java/bluej: Update to 4.1.1

  - Change minimum supported JDK version to 8u60
  - Take maintainership
  - Remove fallback MASTER_SITE (no longer available)
  - Add LICENSE details
  - Add dependency on openjfx to fix runtime error
  - Set NO_ARCH=yes
  - Add desktop entry
  - Move install location to ${JAVASHAREDIR}/${PORTNAME} as per porter's handbook

  PR:		221162
  Approved by:	lme (previous maintainer)

Changes:
  head/java/bluej/Makefile
  head/java/bluej/distinfo
  head/java/bluej/files/bluej.in
  head/java/bluej/pkg-plist